=== debian/changelog ===
ros-lunar-planner-cspace (0.4.0-1stretch) stretch; urgency=high

  * planner_cspace: limit negative cost to avoid infinite search loop (#288 <https://github.com/at-wat/neonavigation/issues/288>)
  * trajectory_tracker: remove unused parameters (#274 <https://github.com/at-wat/neonavigation/issues/274>)
  * Support melodic (#266 <https://github.com/at-wat/neonavigation/issues/266>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-lunar-planner-cspace (0.3.1-1stretch) stretch; urgency=high

  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * planner_cspace: fix stability of test_costmap_watchdog (#242 <https://github.com/at-wat/neonavigation/issues/242>)
  * planner_cspace: add watchdog to costmap update (#235 <https://github.com/at-wat/neonavigation/issues/235>)
  * planner_cspace: add missing test dependencies (#234 <https://github.com/at-wat/neonavigation/issues/234>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * planner_cspace: add diagnostics to planner node (#226 <https://github.com/at-wat/neonavigation/issues/226>)
  * planner_cspace: stop robot motion if new map received (#218 <https://github.com/at-wat/neonavigation/issues/218>)
  * planner_cspace: split grid-metric converter functions (#213 <https://github.com/at-wat/neonavigation/issues/213>)
  * planner_cspace: split motion cache class (#212 <https://github.com/at-wat/neonavigation/issues/212>)
  * planner_cspace: fix goal and start tolerance parameter (#211 <https://github.com/at-wat/neonavigation/issues/211>)
  * planner_cspace: add cost for turning near obstacles (#210 <https://github.com/at-wat/neonavigation/issues/210>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * planner_cspace: use odometry position difference in jump detection (#205 <https://github.com/at-wat/neonavigation/issues/205>)
  * planner_cspace: refactoring (#204 <https://github.com/at-wat/neonavigation/issues/204>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-lunar-planner-cspace (0.2.3-1stretch) stretch; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.1-1stretch) stretch; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.0-1stretch) stretch; urgency=high

  * planner_cspace: fix restriction of path segment connection (#191 <https://github.com/at-wat/neonavigation/issues/191>)
  * planner_cspace: fix boundary check (#190 <https://github.com/at-wat/neonavigation/issues/190>)
  * planner_cspace: fix unconverged switching back vibration (#183 <https://github.com/at-wat/neonavigation/issues/183>)
  * Reduce random test failure (#181 <https://github.com/at-wat/neonavigation/issues/181>)
  * Update CI (#179 <https://github.com/at-wat/neonavigation/issues/179>)
  * Fix cost in heuristic function for make_plan service (#178 <https://github.com/at-wat/neonavigation/issues/178>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * planner_cspace: add make plan service (#169 <https://github.com/at-wat/neonavigation/issues/169>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * planner_cspace: fix clearing remembered costmap (#158 <https://github.com/at-wat/neonavigation/issues/158>)
  * planner_cspace: fix partial costmap update with unknown cells (#156 <https://github.com/at-wat/neonavigation/issues/156>)
  * planner_cspace: remember costmap using binary bayes filter (#149 <https://github.com/at-wat/neonavigation/issues/149>)
  * planner_cspace: fix position jump detection (#150 <https://github.com/at-wat/neonavigation/issues/150>)
  * planner_cspace: fix remembering costmap (#147 <https://github.com/at-wat/neonavigation/issues/147>)
  * planner_cspace: use frame_id of incoming message to set dummy robot pose (#145 <https://github.com/at-wat/neonavigation/issues/145>)
  * planner_cspace: add odom publisher to dummy robot (#143 <https://github.com/at-wat/neonavigation/issues/143>)
  * planner_cspace: add preempt (#137 <https://github.com/at-wat/neonavigation/issues/137>)
  * planner_cspace: minor optimizations (#129 <https://github.com/at-wat/neonavigation/issues/129>)
  * planner_cspace: disable performance test by default (#127 <https://github.com/at-wat/neonavigation/issues/127>)
  * planner_cspace: support parallel distance map search (#125 <https://github.com/at-wat/neonavigation/issues/125>)
  * planner_cspace: support parallel aster search (#118 <https://github.com/at-wat/neonavigation/issues/118>)
  * Add abort (#116 <https://github.com/at-wat/neonavigation/issues/116>)
  * planner_cspace: increase navigation test time limit (#98 <https://github.com/at-wat/neonavigation/issues/98>)

